package com.miaxis.test;

import java.io.File;
import java.text.Collator;
import java.util.Arrays;
import java.util.Comparator;
import java.util.Locale;

public class FileSortExample {

    public static void main(String[] args) {
        File folder = new File("F:/河南省");
        File[] files = folder.listFiles();
        for (File file : files) {
            System.out.println(file.getName());
        }
        System.out.println("-------------------");

        if (files != null) {
            // 使用Collator类创建一个特定语言环境的排序器（这里使用中文）
            Collator collator = Collator.getInstance(Locale.CHINA);
            // 使用Comparator.comparing方法结合Lambda表达式按文件名的拼音首字母排序
            Arrays.sort(files, Comparator.comparing(file -> file.getName(), collator));

            // 输出排序后的文件名
            for (File file : files) {
                System.out.println(file.getName());
            }
        }
    }

}
