package com.miaxis.test;

import net.sourceforge.pinyin4j.PinyinHelper;

import java.io.*;
import java.nio.file.Files;
import java.text.Collator;
import java.util.Arrays;
import java.util.Comparator;
import java.util.Locale;

public class Test2 {

    public static void main(String[] args) throws IOException {

        String province = "河南省2";
        String city = null;
        String county = null;
        String exam = null;
        String video = null;

        File root = new File("F:/河南省");
        File[] files = root.listFiles(); //市级

        sortFiles(files);

        for (int i = 0; i < files.length; i++) {
            city = files[i].getName();
            File[] files2 = files[i].listFiles(); //区级
            sortFiles(files2);

            for (int j = 0; j < files2.length; j++) {
                county = files2[j].getName();
                File[] files3 = files2[j].listFiles(); //考场
                sortFiles(files3);


                for (int k = 0; k < files3.length; k++) {
                    exam = files3[k].getName();
                    File[] files4 = files3[k].listFiles(); //视频
                    sortFiles(files4);

                    // 替换为您想要创建的文件夹路径
                    String folderPath = "F:/" + province + "/" + city + "/" + county + "/" + exam;
                    File folder = new File(folderPath);
                    boolean success = folder.mkdirs();
                    if (success) {
                        System.out.println("文件夹创建成功！");
                    } else {
                        System.out.println("文件夹创建失败或文件夹已存在。");
                    }

                    for (int l = 0; l < files4.length; l++) {
                        if (l != 0) {
                            break;
                        }
                        video = files4[0].getName();
                        String videoPath = "F:/河南省/" + city + "/" + county + "/" + exam + "/" + video;
                        FileInputStream fis = new FileInputStream(videoPath);
                        String destinationFilePath = "F:/" + province + "/" + city + "/" + county + "/" + exam + "/" + video;

                        FileOutputStream fos = new FileOutputStream(destinationFilePath);

                        // 创建一个缓冲区，用于从源文件读取内容
                        byte[] buffer = new byte[1024];
                        int bytesRead;

                        // 从源文件读取内容，并将其写入到目标文件中
                        while ((bytesRead = fis.read(buffer)) != -1) {
                            fos.write(buffer, 0, bytesRead);
                        }
                        System.out.println("文件复制成功！");

                    }
                    System.out.println(province + "   " + city + "    " + county + "  " + " " + exam + "   " + video);
                }
            }

        }


    }


    public static File[] sortFiles(File[] files) {
        if (files != null) {
            Collator collator = Collator.getInstance(Locale.CHINA);
            // 使用Comparator.comparing方法结合Lambda表达式按文件名的拼音首字母排序
            //Arrays.sort(files, Comparator.comparing(file -> file.getName(), collator));
            // 使用Pinyin4j将汉字转换为拼音，并按拼音进行排序
            Arrays.sort(files, Comparator.comparing(file -> getPinyin(file.getName()), collator));
        }
        return files;
    }

    // 使用Pinyin4j将汉字转换为拼音
    private static String getPinyin(String hanzi) {
        StringBuilder pinyin = new StringBuilder();
        for (char ch : hanzi.toCharArray()) {
            String[] pinyinArray = PinyinHelper.toHanyuPinyinStringArray(ch);
            if (pinyinArray != null && pinyinArray.length > 0) {
                pinyin.append(pinyinArray[0]);
            } else {
                // 如果无法获取拼音，则原样输出汉字
                pinyin.append(ch);
            }
        }
        return pinyin.toString();
    }


}
