package com.miaxis.common.core.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
/**
 * 用户对象 user_info
 *
 * @author miaxis
 * @date 2021-01-11
 */
@Data
@TableName("user_info")
@ApiModel(value = "UserInfo", description = "用户对象 user_info")
public class UserInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 手机号码 */
    @Excel(name = "手机号码")
    @TableField("phone")
    @ApiModelProperty(value = "手机号码")
    private String phone;


    /** app头像地址 */
    @Excel(name = "app头像地址")
    @TableField("head_image")
    @ApiModelProperty(value = "app头像地址")
    private String headImage;

    /** app昵称 */
    @Excel(name = "app昵称")
    @TableField("nick_name")
    @ApiModelProperty(value = "app昵称")
    private String nickName;


    /** 微信openid */
    @Excel(name = "app端openid")
    @TableField("app_openid")
    @ApiModelProperty(value = "app端openid")
    private String appOpenid;

    /** 微信openid */
    @Excel(name = "xcx端openid")
    @TableField("xcx_openid")
    @ApiModelProperty(value = "xcx端openid")
    private String xcxOpenid;

    /** 微信openid */
    @Excel(name = "gzh端openid")
    @TableField("gzh_openid")
    @ApiModelProperty(value = "gzh端openid")
    private String gzhOpenid;



    /** 0 启用 1禁用 */
    @Excel(name = "0 启用 1禁用")
    @TableField("status")
    @ApiModelProperty(value = "0 启用 1禁用")
    private Integer status;


    @Excel(name = "到期时间")
    @TableField("expire_time")
    @ApiModelProperty(value = "到期时间")
    private Date expireTime;


    /** 微信开放平台 */
    @Excel(name = "联合id")
    @TableField("union_id")
    @ApiModelProperty(value = "联合id")
    private String unionId;

    /** 微信开放平台 */
    @Excel(name = "上级联合id")
    @TableField("p_union_id")
    @ApiModelProperty(value = "上级联合id")
    private String pUnionId;


}
