package com.miaxis.dict.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.dict.domain.DictCity;
import com.miaxis.dict.vo.DictCityVo;

import java.util.List;

/**
 * 全国城市Mapper接口
 *
 * @author miaxis
 * @date 2023-03-23
 */
public interface DictCityMapper extends BaseMapper<DictCity> {
    /**
     * 查询全国城市列表
     *
     * @param dictCity 全国城市
     * @return 全国城市集合
     */
    List<DictCity> selectDictCityList(DictCity dictCity);

    DictCity getDictCityByCode(String code);

    List<DictCity> getDictCityByName(String name);

    DictCityVo getDictGrandByName(String name);
}
