package com.miaxis.dict.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.dict.domain.DictCity;
import com.miaxis.dict.vo.DictCityVo;

import java.util.List;

/**
 * 全国城市Service接口
 *
 * @author miaxis
 * @date 2023-03-23
 */
public interface IDictCityService extends IService<DictCity>{
    /**
     * 查询全国城市列表
     *
     * @param dictCity 全国城市
     * @return 全国城市集合
     */
    public List<DictCity> selectDictCityList(DictCity dictCity);


    /**
     * 根据地区编号获取全国城市详细信息
     * @param code 地编编号
     * @return 城市
     */
    public DictCity getDictCityByCode(String code);


    /**
     * 根据获取名称全国城市详细信息
     * @param name 地区名称
     * @return 城市
     */
    public List<DictCity> getDictCityByName(String name);

    /**
     * 根据获取父类祖父类地区编号
     * @param name 地区名称
     * @return 城市
     */
    public DictCityVo getDictGrandByName(String name);


}
