package com.miaxis.dict.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.dict.domain.DictCity;
import com.miaxis.dict.mapper.DictCityMapper;
import com.miaxis.dict.service.IDictCityService;
import com.miaxis.dict.vo.DictCityVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 全国城市Service业务层处理
 *
 * @author miaxis
 * @date 2023-03-23
 */
@Service
public class DictCityServiceImpl extends ServiceImpl<DictCityMapper, DictCity> implements IDictCityService {
    @Autowired
    private DictCityMapper dictCityMapper;

    /**
     * 查询全国城市列表
     *
     * @param dictCity 全国城市
     * @return 全国城市
     */
    @Override
    public List<DictCity> selectDictCityList(DictCity dictCity){
        return dictCityMapper.selectDictCityList(dictCity);
    }


    @Override
    public DictCity getDictCityByCode(String code) {
        return dictCityMapper.getDictCityByCode(code);
    }

    @Override
    public List<DictCity> getDictCityByName(String name) {
        return dictCityMapper.getDictCityByName(name);
    }

    @Override
    public DictCityVo getDictGrandByName(String name) {
        return dictCityMapper.getDictGrandByName(name);
    }
}
