package com.miaxis.gan.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import com.miaxis.gan.dto.GanZhiDto;
import com.miaxis.gan.vo.GanZhiFiveVo;
import com.miaxis.gan.vo.GanZhiRowVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.gan.mapper.GanZhiMapper;
import com.miaxis.gan.domain.GanZhi;
import com.miaxis.gan.service.IGanZhiService;

/**
 * 天干地支Service业务层处理
 *
 * @author miaxis
 * @date 2023-11-16
 */
@Service
public class GanZhiServiceImpl extends ServiceImpl<GanZhiMapper, GanZhi> implements IGanZhiService {
    @Autowired
    private GanZhiMapper ganZhiMapper;

    /**
     * 查询天干地支列表
     *
     * @param ganZhi 天干地支
     * @return 天干地支
     */
    @Override
    public List<GanZhi> selectGanZhiList(GanZhi ganZhi){
        return ganZhiMapper.selectGanZhiList(ganZhi);
    }

    @Override
    public List<GanZhiRowVo> selectGanZhiRowVoList(GanZhiDto ganZhiDto) {
        return ganZhiMapper.selectGanZhiRowVoList(ganZhiDto);
    }

    @Override
    public List<GanZhiFiveVo> selectGanZhiFiveVoCount(GanZhiDto ganZhiDto) {
        return ganZhiMapper.selectGanZhiFiveVoCount(ganZhiDto);
    }
}
