package com.miaxis.gan.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 天干地支对象 gan_zhi
 *
 * @author miaxis
 * @date 2023-11-16
 */
@Data
public class GanZhiVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "姓名")
    private String username;

    @ApiModelProperty(value = "性别")
    private Integer sex;

    @ApiModelProperty(value = "(公历)出生日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date birthDay;

    @ApiModelProperty(value = "(农历)出生日期")
    private String nongDay;

    @ApiModelProperty(value = "八字五行集合")
    private List<GanZhiRowVo> ganZhiRowVoList;

    @ApiModelProperty(value = "八字五行个数集合")
    private List<GanZhiFiveVo> ganZhiFiveVoList;

}
