package com.miaxis.order.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * ad对象 ad_info
 *
 * @author miaxis
 * @date 2021-08-19
 */
@Data
@TableName("order_info")
@ApiModel(value = "OrderInfo", description = "订单信息对象 order_info")
public class OrderInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;


    /** 商品ID */
    @Excel(name = "商品ID")
    @TableField("goods_id")
    @ApiModelProperty(value = "商品ID")
    private Long goodsId;

    /** 商品 */
    @Excel(name = "商品")
    @TableField("goods_name")
    @ApiModelProperty(value = "商品")
    private String goodsName;

    /** 商品类型 1:考场 2:实物 */
    @Excel(name = "商品类型 1:考场 2:实物")
    @TableField("goods_type")
    @ApiModelProperty(value = "商品类型 1:考场 2:实物")
    private Integer goodsType;

    /** 用户ID */
    @Excel(name = "用户ID")
    @TableField("user_id")
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    /** 微信开放平台unionid */
    @Excel(name = "微信开放平台unionid")
    @TableField("union_id")
    @ApiModelProperty(value = "微信开放平台unionid")
    private String unionId;

    /** 手机app_openid */
    @Excel(name = "手机app_openid")
    @TableField("app_openid")
    @ApiModelProperty(value = "手机app_openid")
    private String appOpenid;

    /** xcx_openid */
    @Excel(name = "小程序端openid")
    @TableField("xcx_openid")
    @ApiModelProperty(value = "小程序端openid")
    private String xcxOpenid;

    /** gzh_openid */
    @Excel(name = "公众号openid")
    @TableField("gzh_openid")
    @ApiModelProperty(value = "公众号openid")
    private String gzhOpenid;

    /** 订单编号 */
    @Excel(name = "订单编号")
    @TableField("out_trade_no")
    @ApiModelProperty(value = "订单编号")
    private String outTradeNo;

    /** 退款订单编号 */
    @Excel(name = "退款订单编号")
    @TableField("out_refund_no")
    @ApiModelProperty(value = "退款订单编号")
    private String outRefundNo;


    /** 总金额*/
    @Excel(name = "总金额")
    @TableField("total")
    @ApiModelProperty(value = "总金额")
    private Integer total;

    /** 交易状态 1、支付成功2、支付失败*/
    @Excel(name = "交易状态 1、支付成功2、支付失败")
    @TableField("trade_type")
    @ApiModelProperty(value = "微信交易状态，枚举值：")
    private Integer tradeType;

    /** 支付完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付完成时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @TableField("success_time")
    @ApiModelProperty(value = "支付完成时间")
    private Date successTime;

    /** 1:微信 2:支付宝 */
    @TableField("pay_type")
    @ApiModelProperty(value = "1:微信 2:支付宝")
    private Integer payType;



    /** 手机类型 1:苹果 2:安卓 */
    @Excel(name = "手机类型 1:苹果 2:安卓")
    @TableField("phone_type")
    @ApiModelProperty(value = "手机类型 1:苹果 2:安卓")
    private Integer phoneType;


    /** 前端类型 1:app 2:小程序 3:公众号 */
    @Excel(name = "前端类型")
    @TableField("fore_type")
    @ApiModelProperty(value = "前端类型 1:app 2:小程序 3:公众号")
    private Integer foreType;


    /** 退款原因 */
    @Excel(name = "退款原因")
    @TableField("refund_reason")
    @ApiModelProperty(value = "退款原因")
    private String refundReason;




}
