package com.miaxis.order.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * ad对象 ad_info
 *
 * @author miaxis
 * @date 2021-08-19
 */
@Data
@ApiModel(value = "OrderInfo", description = "订单视图")
public class OrderInfoDto {
    private static final long serialVersionUID = 1L;


    /** 商品Id */
    @ApiModelProperty(value = "商品ID")
    private Long goodsId;

    /** 商品名称 */
    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    /** 用户ID */
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    /** 用户联盟ID */
    @ApiModelProperty(value = "用户联盟ID")
    private String unionId;

    /** 订单号 */
    @ApiModelProperty(value = "订单号")
    private String outTradeNo;

    /** 退款订单号 */
    @ApiModelProperty(value = "退款订单号")
    private String outRefundNo;

    /** 订单总金额 */
    @ApiModelProperty(value = "订单总金额")
    private Integer total;

    /** 交易类型 */
    @ApiModelProperty(value = "交易类型")
    private String tradeType;

    /** 退款原因 */
    @ApiModelProperty(value = "退款原因")
    private String refundReason;

    /** 开始时间 */
    @ApiModelProperty(value = "开始时间")
    private String startTime;

    /** 结束时间 */
    @ApiModelProperty(value = "结束时间")
    private String endTime;

}
