package com.miaxis.order.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.order.domain.OrderInfo;
import com.miaxis.order.dto.OrderInfoDto;
import com.miaxis.order.mapper.OrderInfoMapper;
import com.miaxis.order.service.IOrderInfoService;
import com.miaxis.wx.domain.WxOrder;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.annotation.CacheConfig;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * adService业务层处理
 *
 * @author miaxis
 * @date 2021-08-19
 */
@Service
@CacheConfig(cacheNames = "OrderInfo")
public class OrderInfoServiceImpl extends ServiceImpl<OrderInfoMapper, OrderInfo> implements IOrderInfoService {


    @Autowired
    private OrderInfoMapper orderInfoMapper;

    /**
     * 查询ad列表
     *
     * @param orderInfoDto
     * @return List<OrderInfo>
     */
    @Override
    public List<OrderInfo> selectOrderInfoList(OrderInfoDto orderInfoDto){
        return orderInfoMapper.selectOrderInfoList(orderInfoDto);
    }

    @Override
    public OrderInfo getByOutTradeNo(String outTradeNo) {
        return orderInfoMapper.getByOutTradeNo(outTradeNo);
    }

    @Override
    public void writeVipDataToDb(WxOrder order, int payType) {
        long oneYearLong = 1000 * 60 * 60 * 24 * 365l;
        OrderInfo orderInfo = new OrderInfo();
        orderInfo.setGoodsId(order.getGoodsId());
        orderInfo.setGoodsName(order.getGoodsName());
        orderInfo.setGoodsType(order.getGoodsType());
        orderInfo.setUserId(order.getUserId());
        orderInfo.setUnionId(order.getUnionId());
        orderInfo.setAppOpenid(order.getAppOpenid());
        orderInfo.setXcxOpenid(order.getXcxOpenid());
        orderInfo.setGzhOpenid(order.getGzhOpenid());
        orderInfo.setOutTradeNo(order.getOutTradeNo());
        orderInfo.setTotal(order.getTotal());
        orderInfo.setTradeType(1);
        orderInfo.setSuccessTime(order.getSuccessTime());
        orderInfo.setPayType(payType);
        orderInfo.setForeType(order.getForeType());
        orderInfo.setPhoneType(order.getPhoneType());

        if(order.getGoodsType()==1) { //考场
            //添加会员信息
        } else if(order.getGoodsType()==2) { //商品
            //添加会员信息
        }

    }



}





